sun-java7: added distromenu icons and fixed LICENSE displaying

openmamba-netsrpm: pass application name to notify-send (TODO: translations)
This commit is contained in:
Silvan Calarco 2012-08-22 19:23:17 +02:00
parent d098c43154
commit 2e3e67f26c
5 changed files with 8 additions and 7 deletions

View File

@ -31,6 +31,7 @@ Vendor: openmamba
Distribution: openmamba Distribution: openmamba
Packager: Silvan Calarco <silvan.calarco@mambasoft.it> Packager: Silvan Calarco <silvan.calarco@mambasoft.it>
URL: http://www.oracle.com/technetwork/java/javase/overview/index.html URL: http://www.oracle.com/technetwork/java/javase/overview/index.html
Source: LICENSE
#Source0: http://download.oracle.com/otn-pub/java/jdk/7u6-b24/jdk-%{version}-linux-i586.tar.gz #Source0: http://download.oracle.com/otn-pub/java/jdk/7u6-b24/jdk-%{version}-linux-i586.tar.gz
#Source1: http://download.oracle.com/otn-pub/java/jdk/7u6-b24/jdk-%{version}-linux-x64.tar.gz #Source1: http://download.oracle.com/otn-pub/java/jdk/7u6-b24/jdk-%{version}-linux-x64.tar.gz
#Source2: http://download.oracle.com/otn-pub/java/jdk/7u6-b24/jdk-%{version}-linux-arm-sfp.tar.gz #Source2: http://download.oracle.com/otn-pub/java/jdk/7u6-b24/jdk-%{version}-linux-arm-sfp.tar.gz

Binary file not shown.

After

Width:  |  Height:  |  Size: 4.8 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 2.0 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 4.7 KiB

View File

@ -2,7 +2,7 @@
# #
# netsrpm-install.sh - Build srpms that download sources from network # netsrpm-install.sh - Build srpms that download sources from network
# #
# Copyright (C) 2003-2011 by Silvan Calarco <silvan.calarco@mambasoft.it> # Copyright (C) 2003-2012 by Silvan Calarco <silvan.calarco@mambasoft.it>
# Copyright (C) 2005 by Massimo Pintore <massimo.pintore@qilinux.it> # Copyright (C) 2005 by Massimo Pintore <massimo.pintore@qilinux.it>
# Copyright (C) 2005-2007 by Davide Madrisan <davide.madrisan@qilinux.it> # Copyright (C) 2005-2007 by Davide Madrisan <davide.madrisan@qilinux.it>
@ -32,9 +32,9 @@ fi
function check_if_already_installed() { function check_if_already_installed() {
rpm -q $1 &>/dev/null rpm -q $1 &>/dev/null
if [ $? -eq 0 ]; then if [ $? -eq 0 ]; then
notify-send -i $icon "$pckname" "$pckname: "$"already installed." notify-send -a $"Network software installation" -i $icon "$pckname" "$pckname: "$"already installed."
else else
notify-send -i $icon "$pckname" $"There was an error installing"" $pckname!" notify-send -a $"Network software installation" -i $icon "$pckname" $"There was an error installing"" $pckname!"
fi fi
} }
@ -105,7 +105,7 @@ for pckname in $PACKAGES; do
[ $? -ne 0 ] && exit 1 [ $? -ne 0 ] && exit 1
fi fi
notify-send -i $icon "$pckname" $"$pckname installation in progress..." notify-send -a $"Network software installation" -i $icon "$pckname" $"$pckname installation in progress..."
# build rpm # build rpm
echo "$me: "$"rebuilding package \`$SRPM_PATH'..." echo "$me: "$"rebuilding package \`$SRPM_PATH'..."
@ -118,7 +118,7 @@ for pckname in $PACKAGES; do
RPM_PATH=`find $tmpdir -name \*.rpm` RPM_PATH=`find $tmpdir -name \*.rpm`
# install rpm # install rpm
sudo rpm -hUv --force $RPM_PATH sudo smart install -y $RPM_PATH
if [ $? -gt 0 ]; then if [ $? -gt 0 ]; then
echo "$me: "$"error installing \`$SRPM_PATH'."" "$"Aborting..." >&2 echo "$me: "$"error installing \`$SRPM_PATH'."" "$"Aborting..." >&2
check_if_already_installed $pckname check_if_already_installed $pckname
@ -127,9 +127,9 @@ for pckname in $PACKAGES; do
rpm -q $pckname 2>/dev/null rpm -q $pckname 2>/dev/null
if [ $? -eq 0 ]; then if [ $? -eq 0 ]; then
notify-send -i $icon "$pckname" $"Installation of $pckname successfully completed." notify-send -a $"Network software installation" -i $icon "$pckname" $"Installation of $pckname successfully completed."
else else
notify-send -i $icon "$pckname" $"There was an error installing $pckname!" notify-send -a $"Network software installation" -i $icon "$pckname" $"There was an error installing $pckname!"
fi fi
rm -rf $tmpdir $tmpfile rm -rf $tmpdir $tmpfile